// 此处定义所有有关 sa-plus 的路由菜单
// 如需添加自定义菜单，请不要更改此文件，请在 menu-list.js 里添加 (没有这个文件就新建)
window.menuList = window.menuList || [];
window.menuList.unshift({
		id: 'bas',
		name: '身份相关',
		isShow: false, // 隐藏显示
		info: '身份相关权限，不显示在菜单上',
		childList: [{
				id: '1',
				name: '身份-超管',
				info: '最高权限，超管身份的代表（请谨慎授权）',
				isShow: false
			},
			{
				id: '11',
				name: '身份-普通账号',
				isShow: false,
				info: '无特殊权限'
			},
			{
				id: '99',
				name: '允许进入后台管理',
				isShow: false,
				info: '只有拥有这个权限的角色才可以进入后台'
			},
		]
	}, {
		id: 'console',
		name: '监控中心',
		icon: 'el-icon-view',
		info: '对本系统的各种监控',
		parent: true,
		childList: [{
				id: 'sql-console',
				name: 'SQL监控台',
				url: 'sa-view-sp/sp-console/sql-console.html',
				info: 'sql控制台'
			},
			{
				id: 'redis-console',
				name: 'Redis控制台',
				url: 'sa-view-sp/sp-console/redis-console.html',
				info: 'redis常用工具'
			},
			{
				id: 'apilog-list',
				name: 'API请求日志',
				url: 'sa-view-sp/sp-apilog/api-log-list.html',
				info: '记录本系统所有的api请求'
			},
			{
				id: 'form-generator',
				name: '在线表单构建',
				url: 'https://mrhj.gitee.io/form-generator/#/'
			},
		]
	}, {
		id: 'auth',
		name: '权限控制',
		parent: true,
		icon: 'el-icon-unlock',
		info: '对系统角色权限的分配等设计，敏感度较高，请谨慎授权',
		childList: [
			{
				id: 'admin-list',
				name: '用户列表',
				url: 'sa-view-sp/sp-admin/admin-list.html',
				info: '所有管理员账号'
			},{
				id: 'role-list',
				name: '角色列表',
				url: 'sa-view-sp/sp-role/role-list.html',
				info: '管理系统各种角色',
				childList: [{
					id: 'role-add',
					name: '添加角色',
					info: '添加角色的权限',
					isShow: false
				}]
			},
			{
				id: 'menu-list',
				name: '菜单列表',
				url: 'sa-view-sp/sp-role/menu-list.html',
				info: '所有菜单项预览'
			},


			// {id: 'apilog-list', name: '请求日志监控', url: 'sa-view-sp/sp-apilog/api-log-list.html', info: '记录本系统所有的api请求'},
		]
	}, {
		id: 'sp-cfg',
		name: '系统配置',
		icon: 'el-icon-setting',
		parent: true,
		info: '有关系统的一些配置',
		childList: [
			{
				id: 'sp-cfg-app',
				name: '系统对公配置',
				url: 'sa-view-sp/sp-cfg/app-cfg.html'
			},
			{
				id: 'sp-cfg-server',
				name: '服务器私有配置',
				url: 'sa-view-sp/sp-cfg/server-cfg.html'
			},
			{
				id: 'sp-cfg-cooper_entrust',
				name: '互助委托书校验配置',
				url: 'sa-view-sp/sp-cfg/cooper_entrust-cfg.html'
			},
			{
				id: 'tb-port-news',
				name: '口岸资讯管理',
				url: 'sa-view/tb-port-news/tb-port-news-list.html',
				childList: [{
						id: 'tb-port-news-add',
						name: '口岸资讯添加',
						isShow: true
					},
					{
						id: 'tb-port-news-edit',
						name: '口岸资讯更新',
						isShow: true
					},
					{
						id: 'tb-port-news-del',
						name: '口岸资讯删除',
						isShow: true
					},
				]
			},
			{
				id: 'tb-banner',
				name: '轮播图',
				url: 'sa-view/tb-banner/tb-banner-list.html',
				childList: [{
						id: 'tb-banner-add',
						name: '轮播图添加',
						isShow: true
					},
					{
						id: 'tb-banner-edit',
						name: '轮播图更新',
						isShow: true
					},
					{
						id: 'tb-banner-del',
						name: '轮播图删除',
						isShow: true
					},
				]
			},
			{
				id: 'tb-agreement',
				name: '隐私政策&协议',
				url: 'sa-view/tb-agreement/tb-agreement-list.html',
				childList: [{
						id: 'tb-agreement-add',
						name: '协议表添加',
						isShow: true
					},
					{
						id: 'tb-agreement-edit',
						name: '协议表更新',
						isShow: true
					},
					{
						id: 'tb-agreement-del',
						name: '协议表删除',
						isShow: true
					},
				]
			},
		]
	}, {
		id: 'tb-base-data',
		name: '基础数据管理',
		parent: true,
		icon: 'el-icon-copy-document',
		childList: [{
				id: 'tb-trade-area',
				icon: 'el-icon-s-management',
				name: '场所管理',
				url: 'sa-view/tb-trade-area/tb-trade-area-list.html',
				childList: [{
						id: 'tb-trade-area-add',
						name: '添加场所',
						isShow: false
					},
					{
						id: 'tb-trade-area-edit',
						name: '更新场所',
						isShow: false
					},
					{
						id: 'tb-trade-area-del',
						name: '删除场所',
						isShow: false
					},
				]
			},
			{
				id: 'tb-group',
				icon: 'el-icon-s-data',
				name: '互助组管理',
				url: 'sa-view/tb-group/tb-group-list.html',
				childList: [{
						id: 'tb-group-add',
						name: '互助组添加',
						isShow: false
					},
					{
						id: 'tb-group-edit',
						name: '互助组更新',
						isShow: false
					},
					{
						id: 'tb-group-del',
						name: '互助组删除',
						isShow: false
					},
					{
						id: 'tb-member-list',
						name: '查寻组内成员',
						isShow: false
					},
				]
			},
			{
				id: 'tb-people',
				icon: 'el-icon-user',
				name: '边民管理',
				url: 'sa-view/tb-people/tb-people-list.html',
				childList: [
					{
						id: 'tb-people-add',
						name: '边民添加',
						isShow: false
					},
					{
						id: 'tb-people-bind-shop',
						name: '绑定店铺',
						isShow: false
					},
					{
						id: 'tb-people-edit',
						name: '边民更新',
						isShow: false
					},
					{
						id: 'tb-people-del',
						name: '边民删除',
						isShow: false
					},
				]
			},

			// {
			// 	id: 'tb-enterprise-judge',
			// 	icon: 'el-icon-s-check',
			// 	name: '商户审核',
			// 	url: 'sa-view/tb-enterprise/tb-enterprise-judge.html',
			// 	childList: [{
			// 		id: 'tb-enterprise-judge',
			// 		name: '商户审核',
			// 		isShow: false
			// 	}, ]
			// },
			// {
			// 	id: 'tb-enterprise',
			// 	icon: 'el-icon-film',
			// 	name: '商户列表',
			// 	url: 'sa-view/tb-enterprise/tb-enterprise-list.html',
			// 	childList: [{
			// 			id: 'tb-enterprise-add',
			// 			name: '商家添加',
			// 			isShow: false
			// 		},
			// 		{
			// 			id: 'tb-enterprise-edit',
			// 			name: '商家更新',
			// 			isShow: false
			// 		},
			// 		{
			// 			id: 'tb-enterprise-del',
			// 			name: '商家删除',
			// 			isShow: false
			// 		},
			// 	]
			// },
			{
				id: 'tb-shop',
				icon: 'el-icon-receiving',
				name: '商铺管理',
				url: 'sa-view/tb-shop/tb-shop-list.html',
				childList: [{
						id: 'tb-shop-add',
						name: '商铺添加',
						isShow: false
					},
					{
						id: 'tb-shop-edit',
						name: '商铺更新',
						isShow: false
					},
					{
						id: 'tb-shop-del',
						name: '商铺删除',
						isShow: false
					},
				]
			},

			{
				id: 'tb-purchaser-judge',
				icon: 'el-icon-s-check',
				name: '收购商审核',
				url: 'sa-view/tb-purchaser/tb-purchaser-judge.html',
				childList: [{
					id: 'tb-purchaser-judge',
					name: '收购商审核',
					isShow: false
				}, ]
			},
			{
				id: 'tb-purchaser',
				icon: 'el-icon-film',
				name: '收购商列表',
				url: 'sa-view/tb-purchaser/tb-purchaser-list.html',
				childList: [{
						id: 'tb-purchaser-add',
						name: '收购商添加',
						isShow: false
					},
					{
						id: 'tb-purchaser-edit',
						name: '收购商更新',
						isShow: false
					},
					{
						id: 'tb-purchaser-del',
						name: '收购商删除',
						isShow: false
					},
				]
			},

			{
				id: 'tb-cooperative',
				icon: 'el-icon-film',
				name: '合作社列表',
				url: 'sa-view/tb-cooperative/tb-cooperative-list.html',
				childList: [{
					id: 'tb-cooperative-add',
					name: '添加合作社',
					isShow: false
				},
					{
						id: 'tb-cooperative-edit',
						name: '更新合作社',
						isShow: false
					},
					{
						id: 'tb-cooperative-del',
						name: '删除合作社',
						isShow: false
					},
				]
			},

			{
				id: 'tb-message',
				name: '通知消息',
				icon: 'el-icon-receiving',
				url: 'sa-view/tb-message/tb-message-list.html',
				childList: [{
						id: 'tb-message-add',
						name: '通知消息添加',
						isShow: false
					},
					{
						id: 'tb-message-edit',
						name: '通知消息更新',
						isShow: false
					},
					{
						id: 'tb-message-del',
						name: '通知消息删除',
						isShow: false
					},
				]
			},
			{
				id: 'app-user-login-log',
				name: '移动端登录日志',
				icon: 'el-icon-receiving',
				url: 'sa-view/app-user-login-log/app-user-login-log-list.html',
				childList: [{
					id: 'app-user-login-log-del',
					name: '删除',
					isShow: false
				}, ]
			},
		]

	}, {
		id: 'app-setting',
		name: '移动端管理',
		icon: 'el-icon-mobile-phone',
		parent: true,
		childList: [{
				id: 'app-menu',
				icon: 'el-icon-s-operation',
				name: '菜单管理',
				url: 'sa-view/app-menu/app-menu-list.html',
				childList: [{
						id: 'app-menu-add',
						name: 'app菜单管理添加',
						isShow: false
					},
					{
						id: 'app-menu-edit',
						name: 'app菜单管理更新',
						isShow: false
					},
					{
						id: 'app-menu-del',
						name: 'app菜单管理删除',
						isShow: false
					},
				]
			},
			{
				id: 'app-role',
				icon: 'el-icon-user-solid',
				name: '角色管理',
				url: 'sa-view/app-role/app-role-list.html',
				childList: [{
						id: 'app-role-add',
						name: '添加',
						isShow: false
					},
					{
						id: 'app-role-edit',
						name: '更新',
						isShow: false
					},
					{
						id: 'app-role-del',
						name: '删除',
						isShow: false
					},
				]
			},
			{
				id: 'app-user',
				icon: 'el-icon-user-solid',
				name: '账号管理',
				url: 'sa-view/app-user/app-user-list.html',
				childList: [
					{
						id: 'app-user-add',
						name: '添加',
						isShow: false
					},
					{
						id: 'app-user-edit',
						name: '更新',
						isShow: false
					},
					{
						id: 'app-user-del',
						name: '删除',
						isShow: false
					},
				]
			},
		]
	}, {
		id: 'trade-manager',
		name: '贸易管理',
		parent: true,
		icon: 'el-icon-s-unfold',
		childList: [

			{
				id: 'tb-goods-units',
				name: '计价单位',
				url: 'sa-view/tb-goods-units/tb-goods-units-list.html',
				childList: [{
						id: 'tb-goods-units-add',
						name: '计价单位添加',
						isShow: false
					},
					{
						id: 'tb-goods-units-edit',
						name: '计价单位更新',
						isShow: false
					},
					{
						id: 'tb-goods-units-del',
						name: '计价单位删除',
						isShow: false
					},
				]
			},
			{
				id: 'tb-goods-type',
				name: '商品分类',
				url: 'sa-view/tb-goods-type/tb-goods-type-list.html',
				childList: [{
						id: 'tb-goods-type-add',
						name: '商品分类添加',
						isShow: true
					},
					{
						id: 'tb-goods-type-edit',
						name: '商品分类更新',
						isShow: true
					},
					{
						id: 'tb-goods-type-del',
						name: '商品分类删除',
						isShow: true
					},
				]
			},
			{
				id: 'tb-goods',
				name: '监管商品',
				url: 'sa-view/tb-goods/tb-goods-list.html',
				childList: [{
						id: 'tb-goods-add',
						name: '商品添加',
						isShow: false
					},
					{
						id: 'tb-goods-edit',
						name: '商品更新',
						isShow: false
					},
					{
						id: 'tb-goods-del',
						name: '商品删除',
						isShow: false
					},
				]
			},
			{
				id: 'listing-manage',
				name: '上架管理',
				parent: true,
				childList: [
					{
						id: 'listing-management',
						name: '商品整车列表',
						url: 'sa-view/listing-management/listing-management.html',
						childList: [
							{
								id: 'tb-order-edit-price',
								name: '修改上架金额',
								isShow: false
							},
							{
								id: 'ht-trade-settlement-add',
								name: '添加订单',
								isShow: false
							},
							{
								id: 'ht-trade-settlement-edit',
								name: '修改订单',
								isShow: false
							},
							{
								id: 'ht-trade-settlement-del',
								name: '删除订单',
								isShow: false
							},
						]
					}
				]
			},
			{
				id: 'order-list',
				name: '订单管理',
				parent: true,
				//icon: 'el-icon-s-grid',
				childList: [
					{
						id: 'ht-trade-settlement',
						name: '进境结算单',
						url: 'sa-view/ht-trade-settlement/ht-trade-settlement-list.html',
						childList: [{
								id: 'ht-trade-settlement-add',
								name: '添加订单',
								isShow: false
							},
							{
								id: 'ht-trade-settlement-edit',
								name: '修改订单',
								isShow: false
							},
							{
								id: 'tb-order-edit-price',
								name: '修改上架金额',
								isShow: false
							},
							{
								id: 'ht-trade-settlement-del',
								name: '删除订单',
								isShow: false
							},
						]
					},
					{
						id: 'tb-order',
						name: '边民购买订单',
						url: 'sa-view/tb-order/tb-order-list.html',
						childList: [{
								id: 'tb-order-add',
								name: '添加订单',
								isShow: false
							},
							{
								id: 'tb-order-edit',
								name: '修改订单',
								isShow: false
							},
							{
								id: 'tb-order-del',
								name: '删除订单',
								isShow: false
							},
						]
					},
					{
						id: 'bank-info',
						name: '银行回执',
						url: 'sa-view/bank-info/bank-info-list.html',
						childList: [{
								id: 'bank-info-add',
								name: '',
								isShow: false
							},
							{
								id: 'bank-info-edit',
								name: '',
								isShow: false
							},
							{
								id: 'bank-info-del',
								name: '',
								isShow: false
							},
						]
					},
					{
						id: 'tb-import-order',
						name: '进口申报单',
						url: 'sa-view/tb-import-order/tb-import-order-list.html',
						childList: [
							{id:'tb-import-order-add',name:'订单添加',isShow:false},
							{id:'tb-import-order-edit',name:'订单更新',isShow:false},
							{id:'tb-import-order-del',name:'订单删除',isShow:false},
						]
					},
					{
						id: 'tb-import-order-judge',
						name: '互助委托协议审核',
						url: 'sa-view/tb-import-order/tb-import-order-judge.html',
						childList: [
							{id:'tb-import-order-do-judge',name:'审核',isShow:false},
						]
					},
					{
						id: 'tb-import-goods',
						name: '进口申报单商品管理',
						url: 'sa-view/tb-import-goods/tb-import-goods-list.html',
						childList: [
							{id:'tb-import-goods-add',name:'订单添加',isShow:false},
							{id:'tb-import-goods-edit',name:'订单更新',isShow:false},
							{id:'tb-import-goods-del',name:'订单删除',isShow:false},
						]
					},
					{
						id: 'tb-orders',
						name: '二级市场订单',
						url: 'sa-view/tb-orders/tb-orders-list.html',
						childList: [{
								id: 'tb-orders-add',
								name: '添加订单',
								isShow: false
							},
							{
								id: 'tb-orders-edit',
								name: '修改订单',
								isShow: false
							},
							{
								id: 'tb-orders-del',
								name: '删除订单',
								isShow: false
							},
						]
					}
				]
			},
		]
	}, {
		id: 'transport-sys',
		name: '货运管理',
		parent: true,
		icon: 'el-icon-s-grid',
		childList: [{
				id: 'tb-driver',
				icon: 'el-icon-s-custom',
				name: '司机管理',
				url: 'sa-view/tb-driver/tb-driver-list.html',
				childList: [{
						id: 'tb-driver-add',
						name: '司机添加',
						isShow: true
					},
					{
						id: 'tb-driver-edit',
						name: '司机更新',
						isShow: true
					},
					{
						id: 'tb-driver-del',
						name: '司机删除',
						isShow: true
					},
				]
			},
			{
				id: 'tb-vehicle',
				icon: 'el-icon-s-check',
				name: '车辆管理',
				url: 'sa-view/tb-vehicle/tb-vehicle-list.html',
				childList: [{
						id: 'tb-vehicle-add',
						name: '车辆添加',
						isShow: true
					},
					{
						id: 'tb-vehicle-edit',
						name: '车辆更新',
						isShow: true
					},
					{
						id: 'tb-vehicle-del',
						name: '车辆删除',
						isShow: true
					},
				]
			}
		]
	}, {
		id: 'tb-fee-manager',
		name: '费项管理',
		parent: true,
		icon: 'el-icon-s-shop',
		childList: [{
				id: 'tb-company-list',
				name: '收费企业',
				icon: 'el-icon-folder-opened',
				info: '企业管理表数据的维护',
				url: 'sa-view/tb-company/tb-company-list.html',
				childList: [{
						id: 'tb-company-add',
						name: '企业添加',
						isShow: false
					},
					{
						id: 'tb-company-edit',
						name: '企业更新',
						isShow: false
					},
					{
						id: 'tb-company-del',
						name: '企业删除',
						isShow: false
					},
				]
			},
			{
				id: 'tb-fee-item-list',
				name: '费用管理',
				icon: 'el-icon-folder-opened',
				info: '费项管理表数据的维护',
				url: 'sa-view/tb-fee-item/tb-fee-item-list.html',
				childList: [{
						id: 'tb-fee-item-add',
						name: '费项添加',
						isShow: false
					},
					{
						id: 'tb-fee-item-edit',
						name: '费项更新',
						isShow: false
					},
					{
						id: 'tb-fee-item-del',
						name: '费项删除',
						isShow: false
					},
				]
			},
			// {
			// 	id: 'tb-people-profit-list',
			// 	name: '边民收益设置',
			// 	icon: 'el-icon-folder-opened',
			// 	info: '费项管理表数据的维护',
			// 	url: 'sa-view/tb-people-profit/tb-people-profit-set.html',
			// 	childList: [{
			// 		id: 'tb-people-profit',
			// 		name: '收益设置',
			// 		isShow: false
			// 	}, ]
			// },
			{
				id: 'tb-fee-item-record',
				name: '收费记录',
				icon: 'el-icon-folder-opened',
				url: 'sa-view/tb-fee-item-record/tb-fee-item-record-list.html'
			},
			// {
			// 	id: 'tb-people-profit-record-list',
			// 	name: '边民收益记录',
			// 	icon: 'el-icon-folder-opened',
			// 	url: 'sa-view/tb-people-profit-record/tb-people-profit-record-list.html',
			// 	childList: [
			// 	]
			// }
		]
	}

);
